KMO {psych} | R Documentation

## Find the Kaiser, Meyer, Olkin Measure of Sampling Adequacy

### Description

Henry Kaiser (1970) introduced an Measure of Sampling Adequacy (MSA) of factor analytic data matrices. Kaiser and Rice (1974) then modified it. This is just a function of the squared elements of the ‘image’ matrix compared to the squares of the original correlations. The overall MSA as well as estimates for each item are found. The index is known as the Kaiser-Meyer-Olkin (KMO) index.

### Usage

    KMO(r)

### Arguments

`r` | A correlation matrix or a data matrix (correlations will be found)

### Details

Let S^2 = diag(R^{-1})^{-1} and Q = SR^{-1}S. Then Q is said to the be the anti-image intercorrelation matrix. Let sumr2 = ∑{R^2} and sumq2 = ∑{Q^2} for all off diagonal elements of R and Q, then SMA=sumr2)/(sumr2 + sumq2). Although originally MSA was 1 - sumq2/sumr2 (Kaiser, 1970), this was modified in Kaiser and Rice, (1974) to be SMA=sumr2)/(sumr2 + sumq2). This is the formula used by Dziuban and Shirkey (1974) and by SPSS.

### Value

- MSAThe overall Measure of Sampling Adequacy

- MSAiThe measure of sampling adequacy for each item itemImageThe Image correlation matrix (Q)

### Author(s)

William Revelle

### References

H.~F. Kaiser. (1970) A second generation little jiffy. Psychometrika, 35(4):401–415.

H.~F. Kaiser and J.~Rice. (1974) Little jiffy, mark iv. Educational and Psychological Measurement, 34(1):111–117.

Dziuban, Charles D. and Shirkey, Edwin C. (1974) When is a correlation matrix appropriate for factor analysis? Some decision rules. Psychological Bulletin, 81 (6) 358 - 361.

### See Also

See Also as `fa`, `Harman.political`.

### Examples

    KMO(Thurstone)
    KMO(Harman.political)   #compare to the results in Dziuban and Shirkey (1974)

[Package psych version 1.6.9 Index]